package com.ruoyi.interfaces.domain;

import java.io.Serializable;
import java.util.Date;

public class PtMap implements Serializable {
    private String mapId;

    private String mapCode;

    private String mapName;

    private String mapUrl;

    private String mapCate;

    private String mapCache;

    private String mapFormat;

    private String mapType;

    private String mapStyle;

    private String mapVersion;

    private String mapNote;

    private Date pubDate;

    private String pubUserid;

    private String pubUsername;

    private String mapSource;

    private String thumb;

    public String getThumb() {
        return thumb;
    }

    public void setThumb(String thumb) {
        this.thumb = thumb;
    }

    private static final long serialVersionUID = 1L;

    public String getMapId() {
        return mapId;
    }

    public void setMapId(String mapId) {
        this.mapId = mapId == null ? null : mapId.trim();
    }

    public String getMapCode() {
        return mapCode;
    }

    public void setMapCode(String mapCode) {
        this.mapCode = mapCode == null ? null : mapCode.trim();
    }

    public String getMapName() {
        return mapName;
    }

    public void setMapName(String mapName) {
        this.mapName = mapName == null ? null : mapName.trim();
    }

    public String getMapUrl() {
        return mapUrl;
    }

    public void setMapUrl(String mapUrl) {
        this.mapUrl = mapUrl == null ? null : mapUrl.trim();
    }

    public String getMapCate() {
        return mapCate;
    }

    public void setMapCate(String mapCate) {
        this.mapCate = mapCate == null ? null : mapCate.trim();
    }

    public String getMapCache() {
        return mapCache;
    }

    public void setMapCache(String mapCache) {
        this.mapCache = mapCache == null ? null : mapCache.trim();
    }

    public String getMapFormat() {
        return mapFormat;
    }

    public void setMapFormat(String mapFormat) {
        this.mapFormat = mapFormat == null ? null : mapFormat.trim();
    }

    public String getMapType() {
        return mapType;
    }

    public void setMapType(String mapType) {
        this.mapType = mapType == null ? null : mapType.trim();
    }

    public String getMapStyle() {
        return mapStyle;
    }

    public void setMapStyle(String mapStyle) {
        this.mapStyle = mapStyle == null ? null : mapStyle.trim();
    }

    public String getMapVersion() {
        return mapVersion;
    }

    public void setMapVersion(String mapVersion) {
        this.mapVersion = mapVersion == null ? null : mapVersion.trim();
    }

    public String getMapNote() {
        return mapNote;
    }

    public void setMapNote(String mapNote) {
        this.mapNote = mapNote == null ? null : mapNote.trim();
    }

    public Date getPubDate() {
        return pubDate;
    }

    public void setPubDate(Date pubDate) {
        this.pubDate = pubDate;
    }

    public String getPubUserid() {
        return pubUserid;
    }

    public void setPubUserid(String pubUserid) {
        this.pubUserid = pubUserid == null ? null : pubUserid.trim();
    }

    public String getPubUsername() {
        return pubUsername;
    }

    public void setPubUsername(String pubUsername) {
        this.pubUsername = pubUsername == null ? null : pubUsername.trim();
    }

    public String getMapSource() {
        return mapSource;
    }

    public void setMapSource(String mapSource) {
        this.mapSource = mapSource == null ? null : mapSource.trim();
    }

}
